fenix-map(1)

NAME
fenix-map - convert images to fenix native format (map)

SYNOPSIS
fenix-map [option] filename.map

DESCRIPTION
This program is used to convert jpgs, pngs, gifs, etc. to fenix native image format (.map)

options:

-l  Describe MAP file (default option)

-p  Extract palette file (.PAL) from the graphic

-c  Convert MAP file to 16bpp format

-g  Convert MAP file to PNG file

-m  Convert PNG or GIF file to MAP file

-s  Modify MAP file parameters

-n  Remove MAP file transparency

-z=#
    PNG transparent color ('0' color) range

-#  Compression level (0-9 NOTE: 0 DIV compatible for 8bpps MAP files)

Options for -l/-m/-c(# means integer value):

+name=...
    Change the name for the MAP (up to 32 characters)

+id=#
    Change MAP code (0-999))

+center=[#,#]
    Change center for the MAP (control point 0)

+animation=...
    Animation sequence for ANIMATED MAPS

+speed=#
    Frame duration (ms) for each animation frame

+#=[#,#]
    Control point definition

SEE ALSO
fenix(1), fenix-fxc(1), fenix-fxi(1), fenix-fpg(1)